"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var util_1 = require("../../common/util");
var patterns_1 = require("../../common/patterns");
var builtin_1 = require("../../server/builtin");
var snippets_1 = require("../../server/snippets");
var provider_1 = require("./provider");
var config_1 = tslib_1.__importDefault(require("../../server/config"));
function provider(line) {
    if (util_1.isSomeMatchPattern(patterns_1.commandPattern, line)) {
        // only return snippets when snippetSupport is true
        if (config_1.default.snippetSupport) {
            return builtin_1.builtinDocs.getVimCommands().concat(snippets_1.commandSnippets);
        }
        return builtin_1.builtinDocs.getVimCommands();
    }
    return [];
}
provider_1.useProvider(provider);
//# sourceMappingURL=command.js.map